org.keycloak.storage.ldap.mappers.msad

## Class UserAccountControl

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.msad.UserAccountControl

-     public class UserAccountControl
      extends Object

  See https://support.microsoft.com/en-us/kb/305144
  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `ACCOUNTDISABLE`
    `static long` | `DONT_EXPIRE_PASSWORD`
    `static long` | `DONT_REQ_PREAUTH`
    `static long` | `ENCRYPTED_TEXT_PWD_ALLOWED`
    `static long` | `HOMEDIR_REQUIRED`
    `static long` | `INTERDOMAIN_TRUST_ACCOUNT`
    `static long` | `LOCKOUT`
    `static long` | `MNS_LOGON_ACCOUNT`
    `static long` | `NORMAL_ACCOUNT`
    `static long` | `NOT_DELEGATED`
    `static long` | `PARTIAL_SECRETS_ACCOUNT`
    `static long` | `PASSWD_CANT_CHANGE`
    `static long` | `PASSWD_NOTREQD`
    `static long` | `PASSWORD_EXPIRED`
    `static long` | `SCRIPT`
    `static long` | `SERVER_TRUST_ACCOUNT`
    `static long` | `SMARTCARD_REQUIRED`
    `static long` | `TEMP_DUPLICATE_ACCOUNT`
    `static long` | `TRUSTED_FOR_DELEGATION`
    `static long` | `TRUSTED_TO_AUTH_FOR_DELEGATION`
    `static long` | `USE_DES_KEY_ONLY`
    `static long` | `WORKSTATION_TRUST_ACCOUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserAccountControl(long value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(long feature)`
    `long` | `getValue()`
    `boolean` | `has(long feature)`
    `void` | `remove(long feature)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCRIPT

          public static final long SCRIPT

      See Also:
        Constant Field Values

    - #### ACCOUNTDISABLE

          public static final long ACCOUNTDISABLE

      See Also:
        Constant Field Values

    - #### HOMEDIR_REQUIRED

          public static final long HOMEDIR_REQUIRED

      See Also:
        Constant Field Values

    - #### LOCKOUT

          public static final long LOCKOUT

      See Also:
        Constant Field Values

    - #### PASSWD_NOTREQD

          public static final long PASSWD_NOTREQD

      See Also:
        Constant Field Values

    - #### PASSWD_CANT_CHANGE

          public static final long PASSWD_CANT_CHANGE

      See Also:
        Constant Field Values

    - #### ENCRYPTED_TEXT_PWD_ALLOWED

          public static final long ENCRYPTED_TEXT_PWD_ALLOWED

      See Also:
        Constant Field Values

    - #### TEMP_DUPLICATE_ACCOUNT

          public static final long TEMP_DUPLICATE_ACCOUNT

      See Also:
        Constant Field Values

    - #### NORMAL_ACCOUNT

          public static final long NORMAL_ACCOUNT

      See Also:
        Constant Field Values

    - #### INTERDOMAIN_TRUST_ACCOUNT

          public static final long INTERDOMAIN_TRUST_ACCOUNT

      See Also:
        Constant Field Values

    - #### WORKSTATION_TRUST_ACCOUNT

          public static final long WORKSTATION_TRUST_ACCOUNT

      See Also:
        Constant Field Values

    - #### SERVER_TRUST_ACCOUNT

          public static final long SERVER_TRUST_ACCOUNT

      See Also:
        Constant Field Values

    - #### DONT_EXPIRE_PASSWORD

          public static final long DONT_EXPIRE_PASSWORD

      See Also:
        Constant Field Values

    - #### MNS_LOGON_ACCOUNT

          public static final long MNS_LOGON_ACCOUNT

      See Also:
        Constant Field Values

    - #### SMARTCARD_REQUIRED

          public static final long SMARTCARD_REQUIRED

      See Also:
        Constant Field Values

    - #### TRUSTED_FOR_DELEGATION

          public static final long TRUSTED_FOR_DELEGATION

      See Also:
        Constant Field Values

    - #### NOT_DELEGATED

          public static final long NOT_DELEGATED

      See Also:
        Constant Field Values

    - #### USE_DES_KEY_ONLY

          public static final long USE_DES_KEY_ONLY

      See Also:
        Constant Field Values

    - #### DONT_REQ_PREAUTH

          public static final long DONT_REQ_PREAUTH

      See Also:
        Constant Field Values

    - #### PASSWORD_EXPIRED

          public static final long PASSWORD_EXPIRED

      See Also:
        Constant Field Values

    - #### TRUSTED_TO_AUTH_FOR_DELEGATION

          public static final long TRUSTED_TO_AUTH_FOR_DELEGATION

      See Also:
        Constant Field Values

    - #### PARTIAL_SECRETS_ACCOUNT

          public static final long PARTIAL_SECRETS_ACCOUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserAccountControl

          public UserAccountControl(long value)

  - ### Method Detail

    - #### has

          public boolean has(long feature)

    - #### add

          public void add(long feature)

    - #### remove

          public void remove(long feature)

    - #### getValue

          public long getValue()

Copyright © 2020 JBoss by Red Hat. All rights reserved.